## For RHL7.3 compile with '--without desktop' flag

Summary:	Graphical X.509 certificate management tool
Name:		xca
Version:	0.4.6
Release:	0.fdr.1.2
Epoch:		0
License:	BSD
Group:		Applications/Productivity
URL:		http://www.hohnstaedt.de/xca.html
Source0:	http://download.sourceforge.net/sourceforge/xca/%{name}-%{version}.tar.gz
Source1:	http://www.hohnstaedt.de/xca/cxx_common.h
Source2:	http://www.hohnstaedt.de/xca/cxx_except.h
# http://cvs.sourceforge.net/viewcvs.py/xca/xca/widgets/MainWindow.cpp?r1=1.33&r2=1.34&diff_format=u
Patch0:		xca-0.4.6-gcc3.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt-devel openssl-devel
BuildRequires:	/usr/include/db.h
%if 0%{!?_without_desktop:1}
BuildRequires:	desktop-file-utils
%endif

%description
The Program uses a Berkeley db for storage and supports RSA keys.
Certificate signing requests (PKCS#10) and Certificates (X509v3), the
signing of requests, and the creation of selfsigned certificates is
supported. Both can use templates for simplicity.  The PKI structures
can be imported and exported in several formats like PKCS#7, PKCS#12,
PEM, DER, PKCS#8.

#-----------------------

%prep
%setup -q
%patch0 -p2 -b .gcc3

#-----------------------

%build
test -n "$QTDIR" || . %{_sysconfdir}/profile.d/qt.sh

db_inc=/usr/include/db
rpm -q db3-devel && db_inc=/usr/include/db3 || :
rpm -q db4-devel && db_inc=/usr/include/db4 || :

## Hacky workaround for broken db[34]-devel package:
## https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=59759
echo '#include "db_cxx.h"' | g++ -x c++ -E -I $db_inc - &>/dev/null || {
	cp -a %{SOURCE1} %{SOURCE2} .
	export CPPFLAGS="-I`pwd`"
}

CC='%__cc' LD='%__ld' CFLAGS="$RPM_OPT_FLAGS" STRIP=: prefix=%_prefix \
./configure
%__make

#-----------------------

%install
rm -rf "$RPM_BUILD_ROOT" _doc
%{__make} destdir="$RPM_BUILD_ROOT" install

%{__install} -d -m755 _doc/html $RPM_BUILD_ROOT%{_datadir}/applications
%{__install} -p -m644 doc/*.html _doc/html/

%if 0%{!?_without_desktop:1}
desktop-file-install --vendor fedora -m644 --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			\
  --add-category X-Fedora					\
  $RPM_BUILD_ROOT%{_datadir}/applications/xca.desktop
%endif

#-----------------------

%clean
rm -rf "$RPM_BUILD_ROOT"

#-----------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYRIGHT _doc/html
%doc debian/changelog
%{_bindir}/*
%dir %{_datadir}/xca
%{_datadir}/xca/*.png
%{_datadir}/pixmaps/*.xpm
%lang(de) %{_datadir}/xca/xca_de.qm
%lang(es) %{_datadir}/xca/xca_es.qm

%if 0%{!?_without_desktop:1}
%{_datadir}/applications/*
%endif

#-----------------------

%changelog
* Sat Dec 13 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.4.6-0.fdr.1
- changed compile/install commands to work with the new, yet-another configure system
- removed libpthread test since it went upstream
- do not package README anymore; it contains installation/build instructions only
- applied gcc3 patch
- updated to 0.4.6
- removed desktop patch which went upstream

* Fri Aug 15 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.5-0.fdr.2
- applied Ville Skyttä's patch to add categories and to fix encoding of desktop-file 
  (http://sourceforge.net/tracker/index.php?func=detail&aid=789374&group_id=62274&atid=500027)
- removed '--add-category ...' options which become obsoleted by this
  patch

* Fri Aug 15 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.5-0.fdr.1
- updated to 0.4.5

* Thu Aug  7 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.4-0.fdr.1
- updated to 0.4.4
- use generic download address for Source0

* Sat Jul 26 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.2-0.fdr.1.1
- changed Summary: accordingly the suggestion in Fedora bug #494

* Mon Jul 21 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.2-0.fdr.1
- updated to 0.4.2

* Sun Jul 20 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.1-0.fdr.2
- removed the %%{smp_mflags} since parallel builds are not supported
  by the QT makefiles

* Tue Jul 15 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.1-0.fdr.1
- updated to 0.4.1
- added debian/changelog to %%doc-list

* Tue Jul  8 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.0-0.fdr.1
- updated to 0.4.0
- removed patches which went upstream

* Fri Jul  4 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.3.2-0.fdr.2.1
- fixed Summary

* Tue Jul  1 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.3.2-0.fdr.2
- added icon
- made minor fixes in the %%description
- added explicit epoch
- created a separate .desktop file

* Tue Jun 10 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0.3.2-0.fdr.1
- prepared for fedora.us

* Tue Jun 10 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0.3.2-0.0.3
- added dbpriv patch
- added desktop entry

* Fri Jun  6 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 
- Initial build.
